/*--------------------------------------------------------------------------

   Copyright (c) 2006-2007, Intellectual Reserve, Inc. All rights reserved.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License version 2 as
   published by the Free Software Foundation.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

  --------------------------------------------------------------------------*/

/** Types and definitions for DNX server-side messaging protocol.
 *
 * @file dnx/server/dnxSrvProt.h
 * @author Robert W. Ingraham (dnx-devel@lists.sourceforge.net)
 * @attention Please submit patches to http://dnx.sourceforge.net
 * @ingroup DNX_ISERVER_IFC
 */

#ifndef _DNXSRVPROT_H_
#define _DNXSRVPROT_H_

#include "dnxProtocol.h"

int dnxWaitForResult(DnxChannel * channel, DnxResult * pResult, 
      char * address, int timeout);

int dnxSendJob(DnxChannel * channel, DnxJob * pJob, char * address);

int dnxWaitForNodeRequest(DnxChannel * channel, DnxNodeRequest * pReg, 
      char * address, int timeout);

int dnxWaitForResult(DnxChannel * channel, DnxResult * pResult, 
      char * address, int timeout);

#endif // _DNXSRVPROT_H_

